--define helpers

@fix/util/recompile-plsql-create.sql

--run scripts
set serveroutput on size 1000000

@packages/acs-kernel/sql/oracle/upgrade/upgrade-4.6.3-4.6.4.sql
exec temp_recompile_plsql(' FILE_STORAGE ');
@packages/acs-kernel/sql/oracle/upgrade/upgrade-4.6.4-4.6.5.sql
exec temp_recompile_plsql(' FILE_STORAGE ');
@fix/util/temp_recompile_views.sql;
@packages/acs-kernel/sql/oracle/upgrade/upgrade-4.6.5-4.6.6.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-4.7d-4.7.2d.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-4.7.2d-5.0d.sql
exec temp_recompile_plsql(' FILE_STORAGE ');
@packages/acs-service-contract/sql/oracle/upgrade/upgrade-4.7d2-4.7d3.sql
exec temp_recompile_plsql(' FILE_STORAGE ');
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d-5.0d2.sql
exec temp_recompile_plsql(' FILE_STORAGE ');

@packages/acs-lang/sql/oracle/upgrade/upgrade-4.1-4.7d2.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d2-4.7d3.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d3-4.7d4.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d4-4.7d5.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d5-4.7d6.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d6-4.7d7.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d7-4.7d8.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d8-4.7d9.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-4.7d9-5.0d1.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-5.0d1-5.0d2.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-5.0d2-5.0d3.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-5.0.0b4-5.0.0b5.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-5.0.0-5.0.1.sql
@packages/acs-lang/sql/oracle/upgrade/upgrade-5.1.1d1-5.1.1d2.sql

--bypass, contains version-dependent code
--@packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.6.5-4.7d6.sql
--@packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.7d1-4.7d6.sql

@packages/acs-subsite/sql/oracle/upgrade/upgrade-4.6.4.1-4.6.4.2.sql
@packages/acs-events/sql/oracle/upgrade/upgrade-0.2d-0.3d.sql

--slow
@fix/packages/bulk-mail/sql/oracle/upgrade/upgrade-0.1a-0.2.sql
alter package bulk_mail compile package;
@fix/util/temp_recompile_views.sql;

@packages/file-storage/sql/oracle/upgrade/upgrade-4.6.2-4.6.3.sql
@packages/notifications/sql/oracle/upgrade/upgrade-4.6.2-4.6.4.sql
alter package notification_request compile body;

-- ora9 upgrade starts here

@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d2-5.0d3.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d6-5.0d7.sql

--ignore breakage; fixed in next two scripts
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d7-5.0d9.sql
 
@fix/packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d9-5.0d13.sql
@fix/packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0d9-5.0d13-bodies.sql

--unresolved: user_profiles breakage (table missing)
@packages/acs-subsite/sql/oracle/upgrade/upgrade-5.0d4-5.0d5.sql

@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0.0b1-5.0.0b2.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0.0b2-5.0.0b3.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0.0b3-5.0.0b4.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0.0b4-5.0.0b5.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.1.1d1-5.1.1d2.sql
@packages/acs-kernel/sql/oracle/upgrade/upgrade-5.1.2d1-5.1.2d2.sql

@fix/packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.7d6-5.0d1.sql
@fix/packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.7d6-5.0d1-bodies.sql

@packages/user-profile/sql/oracle/upgrade/upgrade-0.1d-0.2d.sql
@packages/acs-service-contract/sql/oracle/upgrade/upgrade-4.7d3-5.0d1.sql

exec dbms_stats.gather_schema_stats('SSV2',cascade => true);

--grant myself site wide admin permission
exec acs_permission.grant_permission(-4,57195,'admin');
commit;
