begin

  -- Step 1: Remove user and admin portlets.
  -- There are two non-hidden resesarch portlets on productionas of 7/28

  for elem in (
    select m.element_id
    from portal_element_map m, portal_datasources d
    where m.datasource_id = d.datasource_id
      and d.name in ('research_portlet','research_admin_portlet')
  ) loop

    delete from portal_element_parameters
    where element_id = elem.element_id;

    delete from portal_element_map
    where element_id = elem.element_id;
    
  end loop;

  -- Step 2: Remove attachments to community objects.
  -- There are nine on production as of 7/28

  for att in (
    select item_id, object_id
    from attachments a, dotlrn_communities_all c
    where a.object_id = c.community_id
  ) loop
    delete from attachments
    where item_id = att.item_id
      and object_id = att.object_id;
  end loop;

  -- Step 3: Remove Research Papers from Active Applets list

  for app in (
    select c.community_id, c.applet_id
    from dotlrn_community_applets c, dotlrn_applets a
    where c.applet_id = a.applet_id
    and a.package_key = 'dotlrn-research'
  ) loop
    delete from dotlrn_community_applets
    where community_id = app.community_id
      and applet_id = app.applet_id;
  end loop;

  delete from dotlrn_applets
  where package_key = 'dotlrn-research';

end;
/
show errors

-- Step 4: Uninstall Research Papers as an addable applet.
@packages/dotlrn-research/sql/oracle/dotlrn-research-drop
