--in ssup
grant select on apm_parameter_values to ssv2_dev;
grant select on apm_parameters to ssv2_dev;
grant update on apm_parameter_values to ssv2_dev;

--in ssv2
begin
  for cur in (
    select value_id, attr_value
    from apm_parameter_values v1, apm_parameters p
    where p.package_key = 'dotlrn'
      and p.parameter_name in ('community_level_p','community_type_level_p','dotlrn_level_p')
      and v1.parameter_id = p.parameter_id
      and exists (select 1 from ssup.apm_parameter_values v2 where v2.value_id = v1.value_id and v2.parameter_id = v1.parameter_id and v2.attr_value is null)
  ) loop
      update ssup.apm_parameter_values
      set attr_value = cur.attr_value
      where value_id = cur.value_id;
  end loop;
end;
/
show errors

-- in ssup
revoke select on apm_parameter_values from ssv2_dev;
revoke select on apm_parameters from ssv2_dev;
revoke update on apm_parameter_values from ssv2_dev;
